** CODE TO REPLICATE TABLE 1 AND FIGURE 1 IN "A THEORY OF POWER WARS"
** LAST UPDATED: 11/16/2020

* NOTE: UPDATE DIRECTORY FIRST
use powerwars_data.dta, clear

* NOTE: INSTALL COMMANDS OUTREG2 & BINSCATTER IF NOT ALREADY INSTALLED
*ssc install binscatter
*ssc install outreg2

*********** 
* TABLE 1 *
*********** 

*** Model: No Controls ***
* Conflict Onset
logit onset mismatch1_abs, cluster(dyad) or
outreg2 using Table_1, tex replace eform ctitle(onset) nor2
* Conflict Incidence
logit iswar mismatch1_abs, cluster(dyad) or
outreg2 using Table_1, tex append eform ctitle(incidence) nor2

*** Model: Controls from CoW ***
gen majpow=.
replace majpow=0 if majpow_a==0 & majpow_b==0
replace majpow=1 if majpow_a==1 | majpow_b==1
* Conflict Onset
logit onset mismatch1_abs Allies_a Allies_b GDRivals_a GDRivals_b contig_land_a contig_land_b majpow, cluster(dyad) or
outreg2 using Table_1, tex append eform ctitle(onset) nor2
* Conflict Incidence
logit iswar mismatch1_abs Allies_a Allies_b GDRivals_a GDRivals_b contig_land_a contig_land_b majpow, cluster(dyad) or
outreg2 using Table_1, tex append eform ctitle(incidence) nor2

*** Model: Controls from Hegre and Sambanis ***
* Conflict Onset
logit onset mismatch1_abs Prior_ACDWar_a Prior_ACDWar_b gdppc_a gdppc_b logpop_a logpop_b democ_a democ_b, cluster(dyad) or
outreg2 using Table_1, tex append eform ctitle(onset) nor2
* Conflict Incidence
logit iswar mismatch1_abs Prior_ACDWar_a Prior_ACDWar_b gdppc_a gdppc_b logpop_a logpop_b democ_a democ_b, cluster(dyad) or
outreg2 using Table_1, tex append eform ctitle(incidence) nor2

*** Model: Controls from Dearon and Laitin ***
* Conflict Onset
logit onset mismatch1_abs lmtnest_a lmtnest_b noncontig_a noncontig_b NewState_a NewState_b Instability_a Instability_b ethfrac_a ethfrac_b, cluster(dyad) or
outreg2 using Table_1, tex append eform ctitle(onset) nor2
* Conflict Incidence
logit iswar mismatch1_abs lmtnest_a lmtnest_b noncontig_a noncontig_b NewState_a NewState_b Instability_a Instability_b ethfrac_a ethfrac_b, cluster(dyad) or
outreg2 using Table_1, tex append eform ctitle(incidence) nor2

************
* FIGURE 1 *
************

gen relative_doe= pr_win_a/( pr_win_a+ pr_win_b)
gen mismatchDOE1_abs =abs(relative_doe-gdp_prop)

* Binscatter
binscatter relative_doe mil_prop, xtitle(Troop Ratios) ytitle(DOE Scores) ylabel(, nogrid) xlabel(, nogrid)
graph export Figure_1.eps, replace

* Correlation
corr relative_doe mil_prop

